Subject: bug#50203: binutils-mesboot0: configure: sed: command not found

From: Carl Dong <[email-masked]>
Date: Wed, 25 Aug 2021 15:17:26 -0400

Hi all,

After resolving bug#49985, a new build failure has stumped a community member of mine. When building /gnu/store/8kap9kj0ayhaqd4ay7n9lgpbcwankxrq-binutils-mesboot0-2.14.drv, the build fails and the logs are as follows: https://paste.sr.ht/~dongcarl/7fe559b338dfa9aa3cf3464dbdab8109487c9783#8kap9kj0ayhaqd4ay7n9lgpbcwankxrq-binutils-mesboot0-2.14.log-L5504

We’ve tried the normal suspects: --cores=1, reboots, mounting tmpfs at /tmp, etc.

What’s also fascinating is that, when I inspect his keep-failed directory: https://nextcloud.carl.homeserver.net/s/ZHmAbz3LwyPwcfL
We found that:

1. The $PATH in the environment-variables file contained /gnu/store/2z4y0n547x7d566281isklk9ls2d8c9q-sed-mesboot0-1.18/bin, which in turn contained a working sed:

--8<---------------cut here---------------start------------->8---
Usage: /gnu/store/2z4y0n547x7d566281isklk9ls2d8c9q-sed-mesboot0-1.18/bin/sed [-nV] [--quiet] [--silent] [--version] [-e script]
        [-f script-file] [--expression=script] [--file=script-file] [file…]
--8<---------------cut here---------------end--------------->8---

2. The configure’s shebang (/gnu/store/m89p469fxwn4hj7an9givd1ry9vk7j2l-bash-mesboot0-2.05b/bin/sh) exists on his system and works

This problem has also been encountered in the past: https://logs.guix.gnu.org/guix/2021-04-03.log#210314

As always, I’m happy to spend energy investigating, but would love any pointers on what the most promising place to look is!

Cheers,
Carl Dong
[email-masked]
"I fight for the users"